The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Сообщество Handshake пожертвовало 300 тысяч долларов проекту Debian

30.03.2019 08:43

Проект Debian сообщил о получении пожертвования в размере 300 тысяч долларов США. Пожертвование передано сообществом Handshake.org. Средства планируется потратить на обновление серверного оборудования и проведение работы по повышению надёжности инфраструктуры.

Напомним, что в рамках кампании по совместному финансированию проекта Handshake.org удалось собрать более 10.2 млн долларов на развитие платформы, что значительно больше, чем нужно; поэтому 70% от полученной суммы было решено потратить на помощь значительным свободным проектам. Кроме Debian сообщество Handshake.org выступило с поддержкой Фонда СПО (миллион долларов), GNOME ($400 тыс), KDE ($300 тыс), Apache, Arch Linux, Babel, EFF, GNU, Internet Archive, LibreJS, LibreSSL, Mozilla, Open Source Initiative, OpenSSL, Replicant, Software Freedom Conservancy, Tor и Wikipedia.

Сообщество Handshake.org развивает новую децентрализованную систему доменных имён и цифровых сертификатов, которая может использоваться как независимая, надёжная и верифицируемая альтернатива корневым серверам DNS и удостоверяющим центрам, не подконтрольная конкретным лицам и не подверженная цензуре. Проект Handshake не нацелен на вытеснение протокола DNS, а ставит перед собой задачу ухода от централизованных корневых зон и корневых серверов в пользу распределённой базы, построенной на базе блокчейна и P2P-коммуникаций.


  1. Главная ссылка к новости (https://www.debian.org/News/20...)
  2. OpenNews: Сообщество Handshake пожертвовало миллион долларов Фонду свободного ПО
  3. OpenNews: Фонд Pineapple пожертвовал 1 миллион долларов Фонду свободного ПО
  4. OpenNews: Фонд Pineapple пожертвовал 200 тысяч долларов проекту KDE
  5. OpenNews: GNOME Foundation выделил 100 тысяч долларов на развитие GIMP
  6. OpenNews: Проект KDE получил пожертвование размером 300 тысяч долларов
Лицензия: CC-BY
Тип: К сведению
Ключевые слова: handshake, debian
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение (100) Ajax/Линейный | Раскрыть все сообщения | RSS
 
  • 1.2, Bebdbdbxv (?), 08:53, 30/03/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • –19 +/
    Слили впустую. Debian – жутко тормозной в плане обновлений. Стабильность в представлении Debian – когда любой ценой не обновляются пакеты. Есть даже пакеты с нкисправленными уязвимостями, когда в других дистрибутивах уже есть обновления.
     
     
  • 2.4, Аноним (4), 08:59, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +/
    > Есть даже пакеты с нкисправленными уязвимостями, когда в других дистрибутивах уже есть обновления.

    Приведите пример таких пакетов или всё это пустая болтовня. В Debian наоборот обычно горазо оперативнее выходят исправления уязвимостей, чем в остальных дистрибутивах.

     
     
  • 3.7, Bebdbdbxv (?), 09:05, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • –3 +/
    Lua. Обновление вышло ещё в прошлом году, а в Debian нет.
    > В Debian наоборот обычно горазо оперативнее выходят исправления уязвимостей, чем в остальных дистрибутивах.

    Такого быть не может. Почему? Потому что в стабильной ветке пакеты не обновляют на новые версии и ждут пока разработчик отдельно не сделает заплатку для старой версии. Или пытаются сами сделать заплатку, анализируя код новой версии. А это дольше, чем если просто обновить пакет. Но даже для обновления пакета у дебиана больше тратится времени. Сначала обновление из апстрима попадает в нестабильную ветку. Потом передаётся в тестовую. И только потом в стабильную.

     
     
  • 4.9, Bebdbdbxv (?), 09:11, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • –2 +/
    Да, это пакет с неисправленной уязвимостью. Смешно то, что для unstable и buster наличие уязвимости помечено приоритетом high, а для stable – low.
     
     
  • 5.15, Michael Shigorin (ok), 09:22, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • –2 +/
    Не заглядывал в конкретный пример, но:
    - если там разные ветки lua, то вполне возможно наличие разных (иногда даже не пересёкшихся) букетов уязвимостей разного веса;
    - если ходить по большой палубе с носовым платком и целью придраться -- разумеется, всегда найдётся к чему.
     
     
  • 6.17, Bebdbdbxv (?), 09:28, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • –1 +/
    А надо было заглянуть. В stable, testing и unstable лежит одна и та же версия - 5.3.3. Есть и ещё более старая 5.2 для совместимости, но не о ней речь. А новая - 5.3.5.
     
     
  • 7.47, freehck (ok), 15:10, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Так у вас что, претензия к тому, что в дебиане Lua 5.3.3, хотя в апстриме стабильная 5.3.5?
    Мы ведь это, о каких-то уязвимостях говорили. В этих случаях обычно ссылку на BTS оставляют. Уж будьте любезны.
     
     
  • 8.77, Bebdbdbxv (?), 22:43, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Сначала речь была про уязвимости и старые версии, а потом выяснилось, что в апстриме тоже не исправлена уязвимость, но пакетов всё равно достаточно старых в unstable.
     
     
  • 9.102, freehck (ok), 12:12, 01/04/2019 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Нет Вы написали следующий совершенно возмутительный вброс Одно дело, если бы В... текст скрыт, показать
     
     
  • 10.108, Bebdbdbxv (?), 10:38, 02/04/2019 [^] [^^] [^^^] [ответить]  
  • +/
    А теперь перечитай вторую цитату. Изначально речь была про устаревшие пакеты. А про уязвимости я написал "есть даже". Это не основная мысль. А пакеты совсем не чуть-чуть устаревшие. В buster попали пакеты, которые в текущем стабильном релизе уже устарели.
     
     
  • 11.109, freehck (ok), 10:44, 02/04/2019 [^] [^^] [^^^] [ответить]  
  • +/
    > А теперь перечитай вторую цитату. <...>

    Ну как я и говорил. Не способен.

     
     
  • 12.111, Bebdbdbxv (?), 12:22, 02/04/2019 [^] [^^] [^^^] [ответить]  
  • +3 +/
    Признаю свою неправоту. Извинити меня, я помешался на пустом месте.
     
     
  • 13.112, Bebdbdbxv (?), 12:26, 02/04/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Описался. *Извините
     
  • 13.119, freehck (ok), 14:29, 02/04/2019 [^] [^^] [^^^] [ответить]  
  • +/
    > Признаю свою неправоту. Извинити меня, я помешался на пустом месте.

    Ещё б вы не были совершенно разными анонимами. =)

     
     
  • 14.120, Bebdbdbxv (?), 15:26, 02/04/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Нет, я всё тот же.
     
  • 4.21, пох (?), 09:48, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Lua. Обновление вышло ещё в прошлом году, а в Debian нет.

    ну и где же ваши патчи?

    > Потому что в стабильной ветке пакеты не обновляют на новые версии и ждут пока разработчик
    > отдельно не сделает заплатку для старой версии.

    да, в этом смысл стабильных версий. Если вам все равно, что утром у вас lua 52, а к вечеру она внезапно стала 53 и ваш код рассыпался - зато-безопастно, вы выбрали не тот дистрибутив, вас ждут-не дождутся кр@сноглазый гентушник c ракойо...м на пару.

    ну а что дебиану хронически не хватает разработчиков на зарплате, и баг в специфическом йезычке не нашел желающих в нем копаться (или их желания не совпали со способностями) - ну так где же _ваши_ 300 тысяч? Хотя бы ржублей. Нет, вам на халяву подавать?

     
     
  • 5.24, Bebdbdbxv (?), 10:03, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • –2 +/
    5.2 и 5.3 сучествуют в дебиане параллельно. Речь про отсутствие обновления в версии 5.3, без ломания совместимости. Ты сказал что-то про безопасность? Её у дебиана нет. Скрепная стабильность - да, а безопасности нет. Уязвимость не исправлена же. И не хватает дебиану не разработчиков, а внутренней организации. Nixos имеет большее число свежих пакетов при меньшем числе разработчиков и ментейнеров. А конфиг nix не даст при обновлении чему-то поломаться. А если поломается - возвращаешься на предыдущий конфиг (он в истории сохранён) и nix всё сам настраивает и устанавливает. Но это экзотика. Почему фряха нормально работает и со свежими пакетами?
     
     
  • 6.30, Аноним (30), 11:13, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +2 +/
    И как там в NixOS с работой на спарках и поуверах? И когда там хоть arm появится? Ах ну да, сейчас будет стандартный ответ про не нужно.
     
     
  • 7.31, Bebdbdbxv (?), 11:16, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Почему не нужно? Нужно. Arm версия пилится потихоньку.
     
  • 6.57, Аноним (57), 19:04, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +/
    > Уязвимость не исправлена же.

    Так что за уязвимость-то? Она где-то существует кроме твоего воображения? Покажи пальцем, не стесняйся.

     
     
  • 7.70, Bebdbdbxv (?), 22:29, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • –2 +/
    Ветку лень прочитать? Ссылки выкладывали.
     
  • 4.25, Аноним (4), 10:08, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +7 +/
    > Lua. Обновление вышло ещё в прошлом году, а в Debian нет.

    Уявзимость CVE-2019-6706 затрагивает только ветку 5.3, в релизах Debian в качестве основной версии предлагается 5.2 и уязвимость там не проявляется. В 5.3 не прявят так как не считают проблему опасной. И, кстати, в последнем релизе Lua 5.3.5 проблема тоже остаётся не исправленной.

    https://security-tracker.debian.org/tracker/CVE-2019-6706
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=920321
    https://security-tracker.debian.org/tracker/source-package/lua5.2
    https://security-tracker.debian.org/tracker/source-package/lua5.3

     
     
  • 5.26, Bebdbdbxv (?), 10:23, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • –2 +/
    Вот развёрнутый аргументированый ответ, спасибо. Но пакет (как и многие другие непопулярные) не обновлён даже в unstable. И в buster будет старая версия.
     
     
  • 6.33, Александр (??), 11:29, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Что важнее: пакеты обновляются или стабильно работают?
     
     
  • 7.35, Hadebi (?), 12:18, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +/
    В Debian Stretch Eclipse 4,5 летней давности. Для IDE это не приемлемо. Хоть в Buster его удалили.
     
  • 7.36, Корец (?), 12:37, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Пакеты обновляются и стабильно работают. Очевдно же :)
     
  • 7.40, Bebdbdbxv (?), 13:22, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • –3 +/
    И то, и другое. Unstable должен иметь самые последние пакеты. Потом они тестируются, попадают в testing и затем в stable. Когда даже в unstable старая версия – это не нормально.
     
     
  • 8.42, zzz (??), 14:06, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Кому должен? Анонимусу с опеннета? Rly?

    Срываю покровы: пакеты в unstable появляются не в результате выхода новых субверсий, а после того, как выйдет новая субверсия и мейнтейнера попросят обновить пакет. Нет заинтересованности - нет новых субверсий. Если 5.3.5 ровным счетом ничего не меняет по отношению к 5.3.3 - нет никакого смысла его обновлять. Это только у арчеводов нездоровая мания всегда иметь последнюю версию любой ценой, в реальном применении нет никакой разницы - 5.3.3 стоит или 5.3.5.

     
     
  • 9.76, Bebdbdbxv (?), 22:41, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • –2 +/
    Срыв покровов не состоялся. Пакет lua уже несколько месяцев каждый день кто-то просит обновить. Ментейнеров у дебиана много, но много пакетов почему-то необновлённых.
    https://tracker.debian.org/pkg/lua5.3
     
     
  • 10.86, HyC (?), 07:34, 31/03/2019 [^] [^^] [^^^] [ответить]  
  • +/
    А вам шашечки или ехать ?

    Секьюрити критикал фиксы бэкпортятся в стабле ветку постоянно. А версии обновлять с потерей совместимости- вон роллинг дистряков вам по пояс насыпано.

     
     
  • 11.89, Bebdbdbxv (?), 09:44, 31/03/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Ну и зачем ты это написал? Совершенно не в тему ответа. Совместимость сохраняется в пределах одного релиза. А unstable не хранит её вовсе. То, что в unstable устаревшие пакеты и они попали в buster при заморозке – не нормально. Это версии с прошлого релиза, ало.
     
  • 11.99, лютый жабист__ (?), 06:47, 01/04/2019 [^] [^^] [^^^] [ответить]  
  • +/
    >Секьюрити критикал фиксы бэкпортятся в стабле ветку постоянно

    А иногда разрабы не афишируют, что это security-дырка. И Дебьян в пролёте.

     
  • 10.104, freehck (ok), 12:36, 01/04/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Срыв покровов не состоялся. Пакет lua уже несколько месяцев каждый день кто-то просит обновить.

    Угу, угу. Где?

    > Ментейнеров у дебиана много, но много пакетов почему-то необновлённых.

    Мейнтейнеров у дебиана много, вот только их вечно не хватает. Надо же, а?


     
     
  • 11.115, Bebdbdbxv (?), 12:40, 02/04/2019 [^] [^^] [^^^] [ответить]  
  • +/
    https://tracker.debian.org/pkg/lua5.3
    > A new upstream version is available: 5.3.5
    > Created: 2019-01-09
    > Last update: 2019-04-02 05:57
    > Мейнтейнеров у дебиана много, вот только их вечно не хватает. Надо же, а?

    Но почему? У nixos, например, ментейнеров меньше (на repology.org есть статистика), но свежих пакетов больше.

     
     
  • 12.117, freehck (ok), 13:25, 02/04/2019 [^] [^^] [^^^] [ответить]  
  • +2 +/
    >> Мейнтейнеров у дебиана много, вот только их вечно не хватает. Надо же, а?
    > Но почему? У nixos, например, ментейнеров меньше (на repology.org есть статистика), но
    > свежих пакетов больше.

    Потому что в nixos легче собирать свежак. Он по факту перекладывает ответственность за системную интеграцию пакетов на плечи администратора системы. В debian же ответственность за интеграцию пакета в дистрибутив несёт мейнтейнер.

    Отсюда и отставание: интеграционное тестирование занимает время. Именно по этой причине пакеты в debian не всегда свежайшие.

    При использовании в проде действует простое правило: вы берёте стабильный дебиан и гарантируете этим работу системы в целом. А если Вам требуется что-то свежайшее -- ставите его поверх самостоятельно.

    Да собственно, почему в проде. На домашнем компе так тоже жить легче. Но относительно локалхоста -- это уже на вкус и цвет. Всё, в общем, зависит от того, сколько у Вас свободного времени.

     
     
  • 13.118, Bebdbdbxv (?), 14:05, 02/04/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Спасибо, теперь понял.
     
  • 13.121, name (??), 16:23, 02/04/2019 [^] [^^] [^^^] [ответить]  
  • +/
    А если сравнивать с bsd системами? У freebsd есть current, stable и release ветки. В чём-то похоже на debian. А, не, там и ядро, и дистрибутив разрабатывает одна команда. Некорректное сравнение.
     
     
  • 14.122, freehck (ok), 17:07, 02/04/2019 [^] [^^] [^^^] [ответить]  
  • +/
    > А если сравнивать с bsd системами? У freebsd есть current, stable и
    > release ветки. В чём-то похоже на debian. А, не, там и
    > ядро, и дистрибутив разрабатывает одна команда. Некорректное сравнение.

    Я не могу говорить за bsd, я с ними слабо знаком. Но если мне не изменяет память, там же вроде как большая часть софта собирается из портов, а не поставляется в виде бинарных пакетов? Так что сравнивать с дебианом, наверное, не получится.

     
     
  • 15.123, name (??), 19:11, 02/04/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Я ставил всю систему из бинарных пакетов. Ничего не собирал.
     
     
  • 16.124, freehck (ok), 20:09, 02/04/2019 [^] [^^] [^^^] [ответить]  
  • +/
    > Я ставил всю систему из бинарных пакетов. Ничего не собирал.

    Надо же. Ну, в общем-то я и говрю: за bsd моё слово веса не имеет. Я мало знаком с этими системами.

     
  • 8.49, freehck (ok), 15:18, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +/
    > Когда даже в unstable старая версия – это не нормально.

    Да нет, на этапе заморозки перед релизом -- это как раз нормально. Угадайте, в какой стадии Buster находится.

     
     
  • 9.72, Bebdbdbxv (?), 22:31, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Пакет обновился в прошлом году. И таких пакетов, не обновлённых до заморозки полно.
     
  • 6.59, Аноним (57), 19:07, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +/
    > Но пакет (как и многие другие непопулярные) не обновлён даже в unstable.

    А какой в этом смысл, если
    > в последнем релизе Lua 5.3.5 проблема тоже остаётся не исправленной.

    ?

     
     
  • 7.62, пох (?), 21:05, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +/
    некоторые просто любят обмазываться свежайшим.

    ну дебиан (даже unstable) он не для них. При этом денег, почему-то, на лопате подбросили не им, им обидно.

     
     
  • 8.78, Bebdbdbxv (?), 22:44, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Мне не обидно. Соболезную пустой трате.
     
     
  • 9.82, пох (?), 23:06, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    она не пустая - там, я так понимаю, есть ньюансы, мешающие эти деньги самим пропить или потрать каким-то разумным способом (либо налоговая вмешается, либо владельцы денег).

    Раздали бедным, гуляют на оставшиеся 9700000, под которые есть одобренный план их попила, поди плохо получилось.

     
  • 7.73, Bebdbdbxv (?), 22:32, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Новые функции.
     
  • 4.34, anonymous (??), 12:13, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Lua. Обновление вышло ещё в прошлом году, а в Debian нет.

    А можно ссылочку на CVE или DSA? (чтобы, например, я мог легко найти про что речь)

    Просто не удивлюсь, если они просто накатили патчик, чтобы закрыть уязвимость без обновления версии пакета.

     
     
  • 5.41, Bebdbdbxv (?), 13:24, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • –2 +/
    Выше кидали уже ссылку. И патч никакой не накладывали. Уязвимость не исправили.
     
     
  • 6.50, freehck (ok), 15:21, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +2 +/
    > Выше кидали уже ссылку. И патч никакой не накладывали. Уязвимость не исправили.

    Выше также написали, что в апстриме уязвимость тоже не исправили, в том числе и в версии 5.3.5.
    Ну и какие претензии к мейнтейнеру луа в дебиан после этого?

     
     
  • 7.74, Bebdbdbxv (?), 22:34, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Претензия в том, что пакет устаревший. Обновлять пакеты в unstable только ради уязвимостей – глупо. Появляются новые функции и они должны пройти тест через unstable и testing.
     
     
  • 8.101, freehck (ok), 11:56, 01/04/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Претензия в том, что пакет устаревший. Обновлять пакеты в unstable только ради
    > уязвимостей – глупо. Появляются новые функции и они должны пройти тест
    > через unstable и testing.

    Обновления ради обновлений -- это тоже как бы не очень разумно. Версии бампаются при наличии запроса. И запрос, уж извините, должен быть своевременным. Вон по Вашей же ссылке[1] вполне видно, что первый и единственный запрос на апдейт до версии 5.3.5 был сделан 9го января. То есть меньше, чем за две недели до заморозки. Волонтёр-мейнтейнер вполне вероятно не успел среагировать. Особенно с учётом того, что помимо данного пакета он также сопровождает ещё 65. Шестьдесят пять, Карл!

    О чём тут можно судить? Ну разве что о реальной востребованности lua.

    Собственно, я хочу заметить одну простую вещь: в нашей работе, безусловно, нет ничего сложного. Однако ж мгновенно мы её не делаем.

    [1] https://tracker.debian.org/pkg/lua5.3

     
  • 4.44, zzz (??), 14:12, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +/
    >А это дольше, чем если просто обновить пакет

    Вы нарочно или специально смешиваете понятия "обновление безопасности" и "новая версия"?

     
     
  • 5.51, freehck (ok), 15:21, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >>А это дольше, чем если просто обновить пакет
    > Вы нарочно или специально смешиваете понятия "обновление безопасности" и "новая версия"?

    +100500
    рука над кнопкой вырезания уже дёргается
    вбрасывает и не краснеет

     
     
  • 6.113, Michael Shigorin (ok), 12:32, 02/04/2019 [^] [^^] [^^^] [ответить]  
  • +/
    > рука над кнопкой вырезания уже дёргается

    "режьте, братцы, режьте" (ц)

    > вбрасывает и не краснеет

     
  • 5.75, Bebdbdbxv (?), 22:36, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Ты не понял, видимо. Есть два пути исправления уязвимости:
    1. Обновить версию в репозитории до версии в апстриме, где исправлены уязвимости.
    2. Сделать патч к старой версии.
     
     
  • 6.103, freehck (ok), 12:29, 01/04/2019 [^] [^^] [^^^] [ответить]  
  • +/
    > Обновить версию в репозитории до версии в апстриме, где исправлены уязвимости.

    Перечитайте ещё раз сообщение анонима #25, и на этот раз внимательно.
    В новой версии lua 5.3.5 исправления уязвимости нету.

     
  • 2.19, Bebdbdbxv (?), 09:39, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Buster, заморожен, кстати. А некоторые пакеты не обновили с прошлого релиза. Обновляют только популярные пакеты.
     
     
  • 3.23, Константавр (ok), 10:00, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Когда-то понахапали пакетов, в каждом релизе радостно заявляли - количество пакетов увеличено до 100500!!! А поддерживать некому. Я до сих пор вспоминаю как добивался пересборки двух пакетов с новым fltk, который был в том же репозитории... ДВА релиза прошло (три, или четыре года) и я плюнул на них.
     
  • 3.63, пох (?), 21:06, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    не, ну в принципе, в этом-то смысле он безусловно прав - представь, сколько бухла и жратвы можно купить на эти деньжищи?!

     
  • 3.79, Bebdbdbxv (?), 22:45, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Не проецируй себя. Мне они не нужны.
     
  • 2.68, Аноним (68), 21:26, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Да усвойте уже, если хотите получать софт своевременно (особенно на десктопе), идите на роллинг. А где-то фриз в тему.
     
     
  • 3.80, Bebdbdbxv (?), 22:46, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • –3 +/
    Так unstable и есть rolling, только корявый, потому что его не обновляют.
     
     
  • 4.85, angra (ok), 07:32, 31/03/2019 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Найди здесь слово rolling:

    The unstable distribution is where active development of Debian occurs. Generally, this distribution is run by developers and those who like to live on the edge. It is recommended that users running unstable should subscribe to the debian-devel-announce mailing list to receive notifications of major changes, for example upgrades that may break.

    Если бы ты поинтересовался историей, то мог бы узнать, что unstable существовал за очень много лет до появления всяких rolling дистрибутивов вроде генту и арча. На базе unstable появлялись и исчезали всякие rolling дистры, но их наличие никак не влияет на то, чем является unstable.

     
     
  • 5.90, Bebdbdbxv (?), 10:00, 31/03/2019 [^] [^^] [^^^] [ответить]  
  • –1 +/
    А, ну значит дебиан ещё хуже. В следующий stable попадут пакеты с прошлого релиза, unstable не пригоден для использования, как и testing.
     
  • 2.87, angra (ok), 07:37, 31/03/2019 [^] [^^] [^^^] [ответить]  
  • +2 +/
    > Слили впустую. Debian – жутко тормозной в плане обновлений.

    Как из второго следует первое? Может лично тебе на твоем локалхосте и не нужен debian, но вот для миллионов серверов по миру улучшение работы инфраструктуры debian никак нельзя назвать пустой тратой денег.

     
  • 1.5, Аноним (5), 09:00, 30/03/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Ну, я бы не стал так уж драматизировать. И пакеты исправляют, и свежие версии регулярно собирают. Считается, что у них иные проблемы - бюрократия и влияние корпораций.
     
     
  • 2.83, Аноним (83), 04:04, 31/03/2019 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Простите чего они там делают?

    Актуальная версия Debian 9 содержит "новые" пакеты 5 летней давности.
    А в готовящейся к выходу летом 10 версии всего устареание в 3 года.
    В целом вообще непонятно CentOS тупит еще больше у них там устаревание на 20 лет.
    Может быть есть что-то актулаьное ?

     
     
  • 3.88, angra (ok), 07:48, 31/03/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Если для некого софта последний раз выпустили стабильную версию 5 лет назад, то ничего удивительного в этом нет. А вот к примеру у меня sqlite3:
      Installed: 3.16.2-3~bpo8+1
      Candidate: 3.16.2-5+deb9u1
    То есть в бекпортах debian 8 и в непосредственно в debian9 версия 3.16.2, можно зайти на сайт sqlite и выяснить, что она была выпущена 2017-01-06, то бишь всего два года назад.
     
     
  • 4.91, Bebdbdbxv (?), 10:05, 31/03/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Нигде не написано, что это стабильный релиз.
     
     
  • 5.92, пох (?), 12:36, 31/03/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Это - стабильный релиз. Вот, написал, наслаждайтесь.

    По факту - никакого другого поддерживаемого и при этом фиксированного релиза у sqlite нет, 3.27 в процессе активной разработки, там запросто могут ломать api, более ранние не поддерживаются, потому что в общем-то незачем.

    А для любителей обмазываться свежайшим (и неспособных для себя, любимого, архинужный и необходимейший пре-альфа-недо-коммиченный-релиз-прямо-из-под-разработчика собрать самостоятельно)  предназначен рач. Что вы забыли в debian, если совершенно не понимаете, зачем вообще нужны дистрибутивы не из самых-распоследних-уже-почти-работающих версий - нам неведомо.

     
     
  • 6.95, нроркер (?), 16:00, 31/03/2019 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Где написано, что та версия стабильная? Она не стабильная, а устаревшая. Вот если бы разработчики на сайте написали бы, что эта версия стабильная, а новейшие нестабильные, тогда да. Но это не так и в дебиане просто старая версия.
     
     
  • 7.97, пох (?), 16:59, 31/03/2019 [^] [^^] [^^^] [ответить]  
  • +/
    она поддерживаемая. Это "написано" в ее комит-логах. Хотя я не понимаю, почему ты не веришь написанному мной, но готов поверить надписи на каком-то сарае. Разница в общем-то отсутствует, а логи посмотреть, чтобы самому понять что да, там есть две ветки, не считая временных, как видим, ты не умеешь.

    Кроме нее поддерживается только самая распоследняя, которую в общем и целом можно использовать, если кому надо, у sqlite очень хорошее качество кода, но вот точно чего не надо - не стоит ей заменять системную библиотеку, потому что после этого придется пересобирать и проверять мильен пакетов, что нигде ничего не поломалось, и совершенно непонятно, чего ради.

     
  • 6.96, нроркер (?), 16:02, 31/03/2019 [^] [^^] [^^^] [ответить]  
  • +/
    У тебя две крайности - устаревшие на два релиза пакеты и свежайшие. А есть середина.
     
     
  • 7.114, Michael Shigorin (ok), 12:37, 02/04/2019 [^] [^^] [^^^] [ответить]  
  • +/
    > У тебя две крайности - устаревшие на два релиза пакеты и свежайшие.
    > А есть середина.

    Вот проекту sqlite это и расскажите.  Можно даже сразу с предложением взяться за поддержку этой самой середины своими квалифицированными силами (hint, hint).

     
     
  • 8.125, пох (?), 07:10, 04/04/2019 [^] [^^] [^^^] [ответить]  
  • +/
    пошлет. Там всего проекта - полтора бородатых деда, которые молодых любителей свежачка на дух не переваривают.

     
  • 1.6, Аноним (5), 09:04, 30/03/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • +4 +/
    Ну и сейчас скажут, что не анонимным аналитикам опеннета решать куда и сколько тратить не из их кошельков. :-)
     
     
  • 2.18, КГБ СССР (?), 09:31, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • –2 +/
    Совершенно верно. Не суй свой нос в чужой вопрос.

    Нечего считать чужие деньги. Свои считайте.

     
     
  • 3.20, пох (?), 09:42, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • –5 +/
    мне столько не намайнить :-(
    И вопрос в общем-то другой - какого хрена у этих п-сов из воздуха образовались 10 лямов, которые они не знают, куда девать?

    "я тоже хочу из г-на на курорт!"

    а что какие-то смешные копейки, которых не хватит на единственного fulltime разработчика в gay area нанять, подарили дебиану, а не профукали- и те собираются даже их потратить на инфраструктуру а не на лекцию специалиста по п-сам и членодевкам (ну понятно, ему бы не хватило), как принято - это, разумеется, хорошо. Но мало.


     
     
  • 4.45, zzz (??), 14:19, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Новость про фрю - ты недоволен фрей
    Новость про дебиан - ты недоволен дебиан
    Тред про микротики - ты недоволен микротиками
    Новость про пожертвования - ты недоволен пожертвованиями

    Единственное, чем ты доволен - дырявыми вдоль и поперек цисками, хотя и это требует уточнения - надо дождаться треда с пинанием микротика - и ты с пеной у рта начнешь доказывать, что циска фуфло, а микротик рулез.

     
     
  • 5.52, freehck (ok), 15:24, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +3 +/
    zzz, из тебя получится отличный модератор по-моему
    upd: полистал твои сообщения, ну и ядовит же ты; впрочем, не мне тебя судить
     
  • 5.64, пох (?), 21:08, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • –1 +/
    я был бы в восторге от любой новости хоть про фрю, хоть про дебиан, хоть даже про микротики, если бы 300 тыщ достались мне ;-) Но, к сожалению, что-то подсказывает, что я недостаточно моден и популярен, чтобы заработать столько - даже, увы, давая в ж...


     
  • 1.22, Аноним (22), 09:52, 30/03/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • +2 +/
    Не так уж и много дали денег, но все равно молодцы. Дебиан стоящий проект и много где используется.
     
     
  • 2.32, Аноним (32), 11:18, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +5 +/
    Использовался ведь! Теперь же в Devuan нужно жертвовать, а не в Debian по привычке.
     
     
  • 3.54, freehck (ok), 15:28, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +4 +/
    > Использовался ведь! Теперь же в Devuan нужно жертвовать, а не в Debian
    > по привычке.

    Мммм... Смотря на что ты хочешь пожертвовать. Если ты жертвуешь на отвязку от systemd -- да, надо в  Devuan жертвовать. А на всё остальное -- это по-прежнему в Debian. Devuan являлся и является небольшой надстроечкой над Debian и его весьма размашистой инфраструктурой.

     
  • 1.39, Аноним (39), 12:54, 30/03/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Сообщество Handshake пожертвовало 300 тысяч долларов проекту любителей Systemd и защитников меньшинств, Debian
     
     
  • 2.43, Аноним (43), 14:08, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Не завидуйте, падре.
     
  • 1.56, zower (ok), 17:47, 30/03/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    столько денег зря на помойку выкидывают, вот читаю новости, одни пожертвовали, другие пожертвовали, а толку то? как было так и осталось, ну не считая уродливых рюшечек которые вообще нужно удалить...
     
     
  • 2.60, Аноним (60), 19:08, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Ну да, все мимо тебя жертвуют, негодяи.
     
     
  • 3.66, пох (?), 21:10, 30/03/2019 [^] [^^] [^^^] [ответить]  
  • +/
    ненавижю!
     
  • 2.84, Аноним (83), 04:08, 31/03/2019 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Помню, что можно было жертвовать с целью. Например, заявляешь фичу и на нее жертвуют. Вот это классный сервис, но я забыл как он назвыеться. ВРОде бы под покрывалом Убунты был сдлеан. Помню даже что-то там по кодировкам инвестировал в поддердку русской консоли аж целых 5 баксов перевел.

    Вот это вот удобно было бы.

    Ну только вот непонятно как будут разваиатсть внутриенние инструменты скажем все это говнище написанное на сриптах же нужно переделывать на нормальные языки программирвоания хотя бы сначала через скриптовые а потом уже и на си переписывать.

    Вот это непонятно как и кто будет инвестировать вероятно сами создатели и разработчики должны предлагать такие инициативы.

     
  • 2.106, sd (??), 15:45, 01/04/2019 [^] [^^] [^^^] [ответить]  
  • +/
    проекты эти в общем-то некоммерческие существуют и развиваются на какие шиши по твоему?
    А деньги эти по штатовским меркам несерьезные. Ну можно кодера одного нанять на год, наверно.
     
  • 1.93, InuYasha (?), 12:53, 31/03/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Почему-то никто не обращает внимания на то, ЧТО такое handshake.org. Мне они кажутся весьма и весьма мутными. Во-первых, монеты, во-вторых, АУКЦИОНЫ (вспоминаем ник.ру и по 1млн руб. за 5 букв домена)...
    Почему просто не ввести цепочку ответственности? Каждый владалец домена мог бы стать поручителем за другого владельца. Т.е. новичок для регистрации домена мог бы обратиться к любому другому владельцу домена. Ответственность будет идти снизу вверх, т.е. если ты кому-то разрешил зарегать домен, то, окажись он спамером, отвечать и тебе тоже (может быть, и исключением из цепочки), так что, все будут заинтересованы в чистоте сети.
     
     
  • 2.94, Аноним (94), 14:02, 31/03/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Разводят на бабки людей, прям как NPM восполняет своих сотрудников.
     
  • 1.98, IdeaFix (ok), 21:19, 31/03/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Между тем, летсенкриптовская оснастка перестала работать в дебиан 7. Прогрес... помянем.
     
     
  • 2.100, нах (?), 10:09, 01/04/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Между тем, летсенкриптовская оснастка перестала работать в дебиан 7.

    качество кода летсшиткрипт...

    > Прогрес... помянем.

    прогресс уже давно поздно даже и поминать - нету никакого прогресса. Регресс сплошной.

     
     
  • 3.116, Michael Shigorin (ok), 12:40, 02/04/2019 [^] [^^] [^^^] [ответить]  
  • +/
    > прогресс уже давно поздно даже и поминать - нету никакого прогресса

    Ну почему, вдоль highway to hell вполне себе бывает "прогресс".

     
  • 2.105, OpenEcho (?), 15:32, 01/04/2019 [^] [^^] [^^^] [ответить]  
  • +/
    7 ??? Brave...
     
  • 1.107, Aqueelone (?), 17:05, 01/04/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Как-то мало кто подумал что Handshake для развития нужно чтобы кто-то его потом системно юзал. ...думается в Дебиан он появится одним из первых... :)
    Посему, вполне целевое использование финансов -- возможно правильно согласованное с инвесторами...  
     
  • 1.110, Нормальный (ok), 11:16, 02/04/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    > поддержкой Фонда СПО (миллион долларов), GNOME ($400 тыс), KDE ($300 тыс)

    Но новость о Дебиане :)

     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:


    Закладки на сайте
    Проследить за страницей
    Created 1996-2019 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру
    Hosting by Ihor